Subject: Re: bug#58795: CC Mode 5.35.1 (ObjC//l); Incorrect fontification of structs and enums

From: Po Lu <[email-masked]>
Date: Fri, 28 Oct 2022 21:42:39 +0800

Alan Mackenzie <[email-masked]> writes:

> The problem was a missing entry for objc-mode in one of the keyword
> tables in CC Mode.  This was easy to find and correct.  :-)
>
> The fix also seems to have fixed bug #58796, so I've merged the two bugs.
>
> I've committed the fix to the master branch, so could you please update
> your Emacs 29 and check that everything in these bugs is fixed, then let
> me know.  Then I can close the two bugs.  Thanks!
>
> The amazing thing is that this bug could have lain undiscovered for so
> long.

Seems to work here, so please go ahead and close the bugs.  Thanks.